Subject: Re: [saag] Important open-source activities...

From: Stephen Farrell <[email-masked]>
Date: Sat, 03 Jan 2015 20:13:12 +0000

Folks,

I'll try summarise this thread in a week or so, so please
continue to chime in in the meantime.

(And to make my life easier when summarising, I've attached
a mail from another list that I think is relevant too.)

Cheers,
S.

On 20/12/14 02:24, Stephen Farrell wrote:
> 
> Hiya,
> 
> The IESG have recently been discussing how the IETF would
> work better with or for open-source communities. As part of
> that it'd be good to get some appreciation of which open
> source activities folks consider important (and why). And
> of course there are multiple directions here - e.g. where an
> IETF activity has fed directly into an open-source activity
> and the opposite where the IETF end up documenting something
> already done by some open-source community.
> 
> As part of that analysis, an utterly reasonable question
> was asked: yeah, but which open-source things are important
> to IETF participants?
> 
> So, which bits of open-source do we in the security area
> of the IETF consider important and why? And what could
> we do better? (For any sensible definition of "we":-)
> 
> BTW, those are deliberately open questions - answer in any
> way you like, (but pithily please:-) to the list or to
> Kathleen and I off-list if need be. (If we see a bunch of
> offlist answers, we'll summarise those back to the list.)
> 
> And since this is really information-gathering, there's
> no need for us to disagree with one another on the list
> (but I expect we won't resist that specific temptation, as
> usual:-)
> 
> Thanks,
> S.
> 
> _______________________________________________
> saag mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/saag
> 
> 

Subject: Re: [Cryptography] New Encryption Standard of the Russian Federation GOST Grasshopper
From: Stephen Farrell <[email-masked]>
To: ianG <[email-masked]>, [email-masked], "Salz, Rich" <[email-masked]>
Date: Sat, 03 Jan 2015 20:09:27 +0000

On 03/01/15 16:41, ianG wrote:
> 
> 
> I'm assuming you mean the last part:  How can their voice be heard?
> 
> Well, about 6m back I took a straw poll on the question of one or many
> algorithms and posted it somewhere.  What it showed (I claim) is that
> there is about a 50:50 split between the maximalists and the
> minimalists.  Which contrasted to an alleged "consensus" in IETF that
> there should be many algorithms.

With how many folks did you make contact? I did see some traffic
here and one or two other places, but am not sure how broad a net
you cast.

> Another way is for people to reach out.  Easy to poo-poo and dismiss
> because IETF WGs have open lists.  But there is a fair percentage of
> people who decline to participate for other reasons.  An open list might
> not be enough.  Perhaps a survey to ask them?

I don't know how that'd pan out with the IETF's rough consensus
process (surveys being vulnerable to various effects) but thinking
about ways of reaching out is worthwhile yes. I'll feed that back.

Cheers,
S.